com.google.cloud.dataflow.sdk.transforms.windowing

## Class WindowFn.MergeContext

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn.MergeContext

Enclosing class:
  WindowFn<T,W extends BoundedWindow>

    public abstract class WindowFn.MergeContext
    extends Object

Information available when running `WindowFn.mergeWindows(com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn<T, W>.MergeContext)`.

### Constructor Summary

Constructors
Constructor and Description
`MergeContext()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `merge(Collection<W> toBeMerged, W mergeResult)` Signals to the framework that the windows in `toBeMerged` should be merged together to form `mergeResult`.
`abstract Collection<W>` `windows()` Returns the current set of windows.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeContext

    public MergeContext()

### Method Detail

#### windows

    public abstract Collection<W> windows()

Returns the current set of windows.

#### merge

    public abstract void merge(Collection<W> toBeMerged,
                               W mergeResult)
                        throws Exception

Signals to the framework that the windows in `toBeMerged` should be merged together to form `mergeResult`.

`toBeMerged` should be a subset of `windows()` and disjoint from the `toBeMerged` set of previous calls to `merge`.

`mergeResult` must either not be in `windows()` or be in `toBeMerged`.

Throws:
  `IllegalArgumentException` - if any elements of toBeMerged are not in windows(), or have already been merged
  `Exception`